LinuxQMISDK: ServingSystemInfo Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
ServingSystemInfo Struct Reference

## Data Fields
BYTE | registrationState
BYTE | csAttachState
BYTE | psAttachState
BYTE | selectedNetwork
BYTE | radioInterfaceNo
BYTE | radioInterfaceList [255]
BYTE | hdrPersonality

## Detailed Description

This structure will hold the serving system parameters information

Parameters

  registrationState | - Registration state of the mobile 0 - QMI_NAS_NOT_REGISTERED Not registered;mobile is not currently searching for a new network to provide service 1 - QMI_NAS_REGISTERED Registered with a network 2 - QMI_NAS_NOT_REGISTERED_SEARCHING Not registered, but mobile is currently searching for a new network to provide service 3 - QMI_NAS_REGISTRATION_DENIED Registration denied by the visible network 4 - QMI_NAS_REGISTRATION_UNKNOWN Registration state is unknown
  csAttachState | - Circuit Switch domain attach state of the mobile 0 - Unknown or not applicable 1 - Attached 2 - Detached
  psAttachState | - Packet domain attach state of the mobile 0 - Unknown or not applicable 1 - Attached 2 - Detached
  selectedNetwork | - Type of selected radio access network 0x00 - Unknown 0x01 - 3GPP2 network 0x02 - 3GPP network
  radioInterfaceNo | - Number of radio interfaces currently in use; this indicates how many radio_if identifiers follow this field
  radioInterfaceList | - Radio interface currently in use (each is 1 byte) 0x00 - None (no service) 0x01 - cdma2000 1X 0x02 - cdma2000 HRPD (1xEV-DO) 0x03 - AMPS 0x04 - GSM 0x05 - UMTS 0x08 - LTE
  hdrPersonality | - HDR personality information (valid only for EVDO) 0x00 - Unknown 0x01 - HRPD 0x02 - eHRPD

Note: None

## Field Documentation

BYTE ServingSystemInfo::csAttachState

BYTE ServingSystemInfo::hdrPersonality

BYTE ServingSystemInfo::psAttachState

BYTE ServingSystemInfo::radioInterfaceList[255]

BYTE ServingSystemInfo::radioInterfaceNo

BYTE ServingSystemInfo::registrationState

BYTE ServingSystemInfo::selectedNetwork